EDIT - bug #7175

DwC-A export optionally filters by published flag
01/15/2018 08:23 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.13

Severity: blocker Found in Version:

Description

ws werden im Moment alle Taxa exportiert, egal ob das publish flag gesetzt ist oder nicht.

Ich denke, wir sollten das konfigurierbar machen.

Related issues:

Related to EDIT - feature request #7180: cdm light export optionally filters ... Closed
Related to EDIT - bug #7176: published=false for Taxon where the according T... Feedback
Related to EDIT - task #7192: DwC-A of phycobank names for GBIF Feedback

Associated revisions

Revision a4433228 - 01/15/2018 09:36 AM - Katja Luther
add attr. onlyPublishedTaxa to exportConfigurator and CdmLightExport

Revision 90b7ce27 - 01/15/2018 09:53 AM - Andreas Kohlbecker
ref #7175 using onlyPublishedTaxa in DWC-A Export controller

Revision 8aef3716 - 01/16/2018 09:54 AM - Andreas Kohlbecker

ref #7175 renaming onlyPublishedTaxa to includeUnpublished and commenting it

Revision 19¢6f3d6 - 01/16/2018 01:04 PM - Andreas Miiller
ref #7175, ref #7180, ref #7165, ref #7166 Adapting TaxonNodeFilter for unpublished, minMaxRank and areas

Revision 8f006e1e - 01/16/2018 02:42 PM - Andreas Miiller
fix #7180 fix #7175 refactor (CdmLight) and implementd (DwC-A) publish flag filtering

Revision 404c44e6 - 01/16/2018 03:37 PM - Andreas Miiller
ref #7175 add test for DwcA Export if includeUnpublished works

History

#1 - 01/15/2018 09:54 AM - Andreas Kohlbecker

- Status changed from New to Resolved

please review

#2 - 01/15/2018 10:45 AM - Andreas Miiller
- Related to feature request #7180: cdm light export optionally filters by published flag added

#3 - 01/15/2018 12:28 PM - Andreas Kohlbecker

- Related to bug #7176: published=false for Taxon where the according TaxonName is associated with an unpublished Registration added

#4 - 01/16/2018 02:42 PM - Andreas Miiller
- % Done changed from 0 to 50

Applied in changeset cdmlib|8f006e1e7dd176b5249aee378757f573fb22{887.
#5 - 01/16/2018 02:50 PM - Andreas Kohlbecker

- Related to task #7192: DwC-A of phycobank names for GBIF added

#6 - 01/16/2018 03:41 PM - Andreas Miller

- Assignee changed from Andreas Miller to Andreas Kohlbecker

- % Done changed from 50 to 0

This is implemented now and a test was added.

Please review.

#7 - 01/16/2018 03:41 PM - Andreas Miiller
- % Done changed from 0 to 100

#8 - 01/16/2018 04:05 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- Assignee changed from Andreas Kohlbecker to Katja Luther

confirming that this is fixed

#9 - 01/23/2018 10:46 AM - Andreas Miiller
- Tags changed from phycobank to phycobank, dwca
